
public class ConTest {
	public static void main(String[] args) {
		ConBoard board = new ConBoard();
		
		board.getUserInput();
		//blinker "(2,4) t, (3,4) t, (4,4) t"
		//toad "(2,2) t, (2,3) t, (2,4) t, (3,3) t, (3,4) t, (3,5) t"
		//glider "(5,5) t, (6,5) t, (7,5) t, (7,4) t, (6,3) t"
		//small explorer "(5,5) t, (6,5) t, (7,5) t, (6,4) t, (5,6) t, (6,7) t, (7,6) t" 
		//small explorer in arrays "(10,10) t, (11,10) t, (12,10) t, (11,9) t, (10,11) t, (11,12) t, (12,11) t"
		//ten cell row "(5,5) t, (6,5) t, (7,5) t, (8,5) t, (9,5) t, (10,5) t, (11,5) t, (12,5) t, (13,5) t, (14,5) t" 
		//test "(5,5) t, (6,5) t, (7,5) t, (8,5) t, (9,5) t, (10,5) t, (11,5) t, (12,5) t, (13,5) t, (14,5) t, (18,24) t, (19,24) t, (20,24) t (22,24) t1, (23,24) t1, (24,24) t1, (25,24) t1, (30,24) t2, (31,24) t2, (32,24) t2"
		try {
			board.divideBaslangicDurumu(board.baslangicDurumu);
		} catch(Exception e) {
			System.out.println("Program kapatılıyor!");
			System.out.println("Lütfen başlangıç durumunu formata uygun giriniz.");
			System.out.println("\tHata: "+e);
			System.out.println("");
			System.out.println("Örnek format: (2,4) t, (3,4) t, (4,4) t");
			System.exit(0);
		}
		
		board.createGuiGrid(board.satirLen, board.sutunLen);
		for(int i = 0; i<board.hucreSayisi; i++) {
			board.setFirstGuiGrid(board.kullaniciBaslangicVeri[i]);	
			board.hucreOlustur(board.kullaniciBaslangicVeri[i]);
		}

		int i = 1;
		while (i < board.adimSayisi) {
//			System.out.println("");
//			System.out.println(i+". adım");
			try {
				Thread.sleep(500);
			} catch (Exception e) { }

			board.step(board.HUCRE);			
			i++;
		}
		
	}
}
